1. Subscriptions
Kabon Share API
  • Overview
  • MCP
  • Instagram
  • Tiktok
  • Linkedin
  • Youtube
  • Facebook
  • Threads
  • Twitter
  • Bluesky
  • User Auth
    • Sign up
      POST
    • Verify email OTP
      POST
    • Resend OTP
      POST
    • Login with email & password
      POST
    • Sign in / sign up with Google
      POST
    • Request password reset email
      POST
    • Reset password with token
      POST
    • Refresh JWT token
      POST
  • Users
    • Get current user profile
      GET
    • Update current user profile
      PATCH
    • Get all user settings
      GET
    • Update publishing settings
      PATCH
    • Update notification settings
      PATCH
    • Update UI preferences
      PATCH
    • Get current billing usage
      GET
    • List saved payment methods
      GET
    • List billing transactions
      GET
    • Regenerate API key
      POST
    • Mark onboarding complete
      PATCH
  • Social Accounts
    • Get OAuth authorization URL
    • List connected social accounts
    • Disconnect a social account
    • Get creator info for an account
    • List available Facebook Pages
    • Connect a Facebook Page
    • List connected Facebook Pages for a workspace
    • List available LinkedIn organizations
    • Connect a LinkedIn organization
    • Validate TikTok creator info
  • Workspaces
    • List workspaces for current user
    • Create a workspace
    • Get a workspace
    • Update a workspace
    • Delete a workspace
    • Update workspace AI settings
  • Team
    • List available permission scopes
    • List pending invitations for the current user
    • Get invitation details by token
    • Accept a workspace invitation
    • Decline a workspace invitation
    • List workspace members
    • Invite a user to the workspace
    • List pending invitations for a workspace
    • Cancel / revoke an invitation
    • Resend an invitation email
    • Update member role / scopes
    • Remove a member from the workspace
    • Leave a workspace
  • Posts
    • List posts
    • Create a post
    • List upcoming scheduled posts
    • Delete multiple posts
    • Get a post
    • Update a post
    • Delete a post
    • Get analytics for a post
    • Reschedule a post
    • Cancel a scheduled post
    • Retry a failed post
  • Assets
    • List assets
    • Bulk delete assets
    • Upload asset directly (multipart)
    • Get signed upload URL (step 1 of 2)
    • Confirm signed upload (step 2 of 2)
    • Get storage usage summary
    • List asset folders
    • Create a folder
    • Rename a folder
    • Delete a folder
    • List asset tags
    • Check thumbnail generation status
    • Get an asset
    • Update asset metadata
    • Delete an asset
  • Uploads
    • Get a signed upload URL for post media
    • Confirm upload complete
    • Get upload file info
    • Delete an uploaded file
    • List uploads
  • Analytics
    • Get platform aggregate stats
    • Get platform stats as a time series
    • Get audience demographics for a platform
    • List content analytics for a platform
    • Get analytics for a specific content item
    • Delete a synced content record
    • Get time series for a specific content item
    • Get follower count trend over time
    • Get recommended posting times per platform
    • Get aggregated analytics for a post across platforms
  • Streams
    • List streams
    • Create a stream
    • Get a stream
    • Update a stream
    • Delete a stream
    • Go live
    • Stop a live stream
    • Broadcast from a file
  • Plans
    • List available subscription plans
  • Subscriptions
    • Get current subscription & credit balances
      GET
    • Renew or extend subscription
      POST
    • Cancel subscription
      POST
  • Support
    • List support tickets
    • Create a support ticket
    • Get ticket statistics
    • Get a ticket
    • Reply to a ticket
    • Upload a ticket attachment
  • AI
    • Generate caption & hashtags for a media asset
    • Transcribe audio or video
    • Poll async AI job status
    • Get saved captions for an asset
    • Get AI credit usage summary for the workspace
    • Get AI credit usage as a chart series
    • Derive AI style settings from past posts
  • Studio
    • List studio projects
    • Create a studio project
    • Get a studio project (includes full projectData)
    • Update a studio project
    • Delete a studio project
  • Schemas
    • ApiResponse
    • SuccessResponse
    • ErrorResponse
    • Pagination
    • User
    • SocialAccount
    • Workspace
    • PlatformPost
    • Post
    • Asset
    • Ticket
    • Plan
    • Stream
    • StudioProject
    • Subscription
    • AiJob
  1. Subscriptions

Get current subscription & credit balances

GET
https://api.kabonshare.com/api/subscriptions/me

Request

Authorization

Responses

🟢200
application/json
Subscription details
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kabonshare.com/api/subscriptions/me'
Response Response Example
{
    "status": true,
    "message": "string",
    "data": {
        "plan": {
            "_id": "string",
            "name": "string",
            "limits": {
                "creditsPerMonth": 0,
                "storageBytes": 0,
                "workspaces": 0
            },
            "features": {},
            "prices": [
                {
                    "currency": "string",
                    "amount": 0,
                    "interval": "string"
                }
            ],
            "isDefault": true,
            "isActive": true
        },
        "credits": {
            "subscription": 0,
            "purchased": 0,
            "total": 0,
            "unlimited": true
        },
        "creditsResetAt": "2019-08-24T14:15:22.123Z",
        "subscriptionStatus": "active",
        "subscriptionEndsAt": "2019-08-24T14:15:22.123Z",
        "storageUsedBytes": 0
    }
}
Modified at 2026-05-21 21:12:21
Previous
List available subscription plans
Next
Renew or extend subscription
Built with